package main

import (
	"flag"
	"log"
	"os"
	"path"
)

var (
	showVersion  = flag.Bool("version", false, "print version")
	showWarranty = flag.Bool("warranty", false, "print warranty information")
)

func main() {
	log.SetFlags(log.Lshortfile)
	switch path.Base(os.Args[0]) {
	case "meta4ra-check":
		runCheck()
	case "meta4ra-create":
		runCreate()
	case "meta4ra-dl":
		runDl()
	case "meta4ra-hash":
		runHash()
	case "meta4ra-list":
		runList()
	default:
		log.Fatal("unknown command linked")
	}
}
